Skip to main content
`Ctrl`+`K`

# MatPartitioningPartySetLocal

Set local method used by the Party partitioner.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPartySetLocal(MatPartitioning part, const char *local)

Collective

## Input Parameters

- part - the partitioning context

- local - a string representing the method

## Options Database Key

- -mat_partitioning_party_local method - the local method

## Note

The method may be one of `MP_PARTY_HELPFUL_SETS`, `MP_PARTY_KERNIGHAN_LIN`, or `MP_PARTY_NONE`. Check the Party Library Users Manual for details.

## Developer Note

Should be `MatPartitioningPartySetLocalType()` and all uses of method should be changed to type

## See Also

`MATPARTITIONINGPARTY`, `MatPartitioningPartySetGlobal()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/party/party.c

## Implementations

MatPartitioningPartySetLocal_Party() in src/mat/graphops/partition/impls/party/party.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages